Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005330OCamlOCamlbuild (the tool)public2011-08-04 18:262012-09-25 20:06
Reporterygrek 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1 
Target VersionFixed in Version3.13.0+dev 
Summary0005330: thread tag with .top and .inferred,mli targets
Description$ cat q.ml
let f x = Thread.delay x

$ cat top.mltop
Q

$ rm -rf _build && /opt/ocaml-3.12.1/bin/ocamlbuild -classic-display -tags thread,use_unix top.top
/opt/ocaml-3.12.1/bin/ocamldep.opt -modules q.ml > q.ml.depends
/opt/ocaml-3.12.1/bin/ocamlc.opt -c -thread -o q.cmo q.ml
/opt/ocaml-3.12.1/bin/ocamlmktop unix.cma q.cmo -o top.top
+ /opt/ocaml-3.12.1/bin/ocamlmktop unix.cma q.cmo -o top.top
File "_none_", line 1, characters 0-1:
Error: Error while linking q.cmo:
Reference to undefined global `Thread'
Command exited with code 2.

$ rm -rf _build && /opt/ocaml-3.12.1/bin/ocamlbuild -classic-display -tags thread,use_unix q.inferred.mli
/opt/ocaml-3.12.1/bin/ocamldep.opt -modules q.ml > q.ml.depends
/opt/ocaml-3.12.1/bin/ocamlc.opt -i q.ml > q.inferred.mli
+ /opt/ocaml-3.12.1/bin/ocamlc.opt -i q.ml > q.inferred.mli
File "q.ml", line 1, characters 10-22:
Error: Unbound module Thread
Command exited with code 2.
Additional Information.inferred.mli with thread tag doesn't work in any ocaml version
.top with thread tag works only in 3.11.2 (not any earlier or later version), this is regression from PR#4873
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-08-04 18:26 ygrek New Issue
2011-08-08 11:39 xclerc Status new => resolved
2011-08-08 11:39 xclerc Fixed in Version => 3.13.0+dev
2011-08-08 11:39 xclerc Resolution open => fixed
2011-08-08 11:39 xclerc Assigned To => xclerc
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker